FlxpointAPI Help CenterBeta

[Deprecated] Get Count of Purchase Orders

gethttps://api.flxpoint.com/purchase-orders/countDeprecated

Use this when you want to pull purchase order data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint will get a count of Purchase Orders applicable to your filters

Request

Query parameters
  • findOrderIdqueryinteger

    Filter Purchase Orders by Order ID.

  • sinceIdqueryinteger

    If passed, returns results with an ID greater than this.

  • poNumbersqueryarray[string]

    Finds elements matching these Purchase Order Numbers. Max 50

  • filterSourceIdqueryinteger

    Filter Purchase Orders by Source ID.

  • filterFulfilmentStatusquerystring

    Filter Purchase Orders by Fulfillment Status. Accepts a comma-separated list to filter on multiple statuses at once.

    allowedAwaiting ShipmentShippedPartially ShippedCanceled
  • filterInvoicedqueryboolean

    Filter Purchase Orders that have source invoice available.

  • filterStatusquerystring

    Filter Purchase Orders by Purchase Order Status. Accepts a comma-separated list to filter on multiple statuses at once.

    allowedUnprocessedProcessedAcknowledgedCanceledFailedVoidedProcessingAdditional Info RequiredPO/FR # Exceeds Max LengthDuplicate PO/FR #Cross Docked
  • filterIsAcknowledgedqueryboolean

    Filters Purchase Orders based on whether or they were acknowledged (true returns only acknowledged, false only those that are not acknowledged).

  • filterAcknowledgedAfterquerystring (date-time)

    Filter Purchase Orders that were acknowledged after this date-time.

  • filterIsSentqueryboolean

    Filters Purchase Orders based on whether or they have been sent to the source (true returns only those that have been sent, false only those that have not yet been sent).

  • filterSentAfterquerystring (date-time)

    Filter Purchase Orders that were sent after this date-time.

  • filterGeneratedAfterquerystring (date-time)

    Filter Purchase Orders that were generated after this date-time.

  • filterIsCanceledqueryboolean

    Filters Purchase Orders based on whether or they were canceled (true returns only canceled, false only those that are not canceled).

  • filterCanceledAfterquerystring (date-time)

    Filters Purchase Orders that were canceled after this date-time.

  • filterIsVoidedqueryboolean

    Filters Purchase Orders based on whether or they were voided (true returns only voided, false only those that are not voided).

  • filterVoidedAfterquerystring (date-time)

    Filters Purchase Orders that were voided after this date-time.

  • filterIsHeldqueryboolean

    Filters Purchase Orders based on whether or they are being held (true returns only held, false only those that are not held).

  • filterHasErrorqueryboolean

    Filters Purchase Orders based on whether or they have a processing error (true returns only those with errors, false only those without errors).

  • filterEligibleForProcessingqueryboolean

    Filters Fulfillment Requests based on whether the order it related to is Open/Not Managed (true returns only if the order it is related to is Open/Not Managed, false does not filter PO based on order status).

  • filterPurchaseOrderTypeIdsqueryarray[integer]

    Filter Purchase Orders by type id, using ids from the PurchaseOrderType Enum.

  • isPurchaseOrderAccountingSyncedqueryboolean

    Filter to only include Purchase Orders that have been synced to an Accounting Integration.

  • isOrderAccountingSyncedqueryboolean

    Filter to only include those created for Orders that have been synced to an Accounting Integration. Does not relate to the whether or not the Purchase Order has been synced.

  • hasAccountingErrorqueryboolean

    Filter to include Purchase Orders based on whether or not they have a previous error saved while sending to an Accounting Integration

  • filterOrderInvoicedqueryboolean

    Filter to only include those created for Orders that have invoices. Does not relate to the whether or not the Purchase Order has been invoiced.

Example request

get/purchase-orders/count
curl -X GET "https://api.flxpoint.com/purchase-orders/count" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
countintegerrequired
Example response
{
  "count": 0
}
400Bad Requestapplication/json
errorstring
A generalized error message, may or may not be fit for human consumption.
dataobject
Data points that could be useful in debugging the error.
No properties documented.
Example response
{
  "error": "string",
  "data": {}
}
401Unauthorized

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "[Deprecated] Get Count of Purchase Orders",
    "description": "This endpoint will get a count of Purchase Orders applicable to your filters",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "findOrderId",
        "description": "Filter Purchase Orders by Order ID."
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "sinceId",
        "description": "If passed, returns results with an ID greater than this."
      },
      {
        "schema": {
          "type": "array",
          "maxItems": 50,
          "example": "PO123,PO456,PO789",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        },
        "in": "query",
        "name": "poNumbers",
        "description": "Finds elements matching these Purchase Order Numbers. Max 50",
        "style": "form",
        "explode": false
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "filterSourceId",
        "description": "Filter Purchase Orders by Source ID."
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "Awaiting Shipment",
            "Shipped",
            "Partially Shipped",
            "Canceled"
          ]
        },
        "in": "query",
        "name": "filterFulfilmentStatus",
        "description": "Filter Purchase Orders by Fulfillment Status. Accepts a comma-separated list to filter on multiple statuses at once."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterInvoiced",
        "description": "Filter Purchase Orders that have source invoice available."
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "Unprocessed",
            "Processed",
            "Acknowledged",
            "Canceled",
            "Failed",
            "Voided",
            "Processing",
            "Additional Info Required",
            "PO/FR # Exceeds Max Length",
            "Duplicate PO/FR #",
            "Cross Docked"
          ]
        },
        "in": "query",
        "name": "filterStatus",
        "description": "Filter Purchase Orders by Purchase Order Status. Accepts a comma-separated list to filter on multiple statuses at once."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsAcknowledged",
        "description": "Filters Purchase Orders based on whether or they were acknowledged (true returns only acknowledged, false only those that are not acknowledged)."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterAcknowledgedAfter",
        "description": "Filter Purchase Orders that were acknowledged after this date-time."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsSent",
        "description": "Filters Purchase Orders based on whether or they have been sent to the source (true returns only those that have been sent, false only those that have not yet been sent)."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterSentAfter",
        "description": "Filter Purchase Orders that were sent after this date-time."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterGeneratedAfter",
        "description": "Filter Purchase Orders that were generated after this date-time."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsCanceled",
        "description": "Filters Purchase Orders based on whether or they were canceled (true returns only canceled, false only those that are not canceled)."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterCanceledAfter",
        "description": "Filters Purchase Orders that were canceled after this date-time."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsVoided",
        "description": "Filters Purchase Orders based on whether or they were voided (true returns only voided, false only those that are not voided)."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterVoidedAfter",
        "description": "Filters Purchase Orders that were voided after this date-time."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsHeld",
        "description": "Filters Purchase Orders based on whether or they are being held (true returns only held, false only those that are not held)."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterHasError",
        "description": "Filters Purchase Orders based on whether or they have a processing error (true returns only those with errors, false only those without errors)."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterEligibleForProcessing",
        "description": "Filters Fulfillment Requests based on whether the order it related to is Open/Not Managed (true returns only if the order it is related to is Open/Not Managed, false does not filter PO based on order status)."
      },
      {
        "schema": {
          "type": "array",
          "example": "1234,1235,1257",
          "maxItems": 50,
          "uniqueItems": true,
          "items": {
            "type": "integer"
          }
        },
        "in": "query",
        "name": "filterPurchaseOrderTypeIds",
        "description": "Filter Purchase Orders by type id, using ids from the PurchaseOrderType Enum.",
        "style": "form"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "isPurchaseOrderAccountingSynced",
        "description": "Filter to only include Purchase Orders that have been synced to an Accounting Integration."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "isOrderAccountingSynced",
        "description": "Filter to only include those created for Orders that have been synced to an Accounting Integration. Does not relate to the whether or not the Purchase Order has been synced."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "hasAccountingError",
        "description": "Filter to include Purchase Orders based on whether or not they have a previous error saved while sending to an Accounting Integration"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterOrderInvoiced",
        "description": "Filter to only include those created for Orders that have invoices. Does not relate to the whether or not the Purchase Order has been invoiced."
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/GenericCount"
            }
          }
        }
      },
      "400": {
        "description": "Bad Request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/GenericApiError"
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight